curl --request GET \
--url https://api.letpiper.com/v1/orgs/{org_id}/roles/ \
--header 'Authorization: Bearer <token>'{
"roles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"permissions": [
"<string>"
],
"is_system": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total": 123
}List all roles in the organization.
Returns both system roles and custom roles. System roles are returned first, followed by custom roles alphabetically.
curl --request GET \
--url https://api.letpiper.com/v1/orgs/{org_id}/roles/ \
--header 'Authorization: Bearer <token>'{
"roles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"permissions": [
"<string>"
],
"is_system": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total": 123
}Platform token (starts with pat_)
1 <= x <= 500x >= 0